Name:           kf5-layer-shell-qt
Version:        5.27.11
Release:        %autorelease
Summary:        Library to easily use clients based on wlr-layer-shell
License:        BSD-3-Clause AND CC0-1.0 AND LGPL-3.0-or-later AND MIT
URL:            https://invent.kde.org/plasma/layer-shell-qt
Source0:        https://download.kde.org/stable/plasma/%{version}/layer-shell-qt-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  qt5-qtbase-private-devel

BuildRequires:  qt5-qtbase-static
BuildRequires:  libxkbcommon-devel
#BuildRequires:  plasma-wayland-protocols-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel

%description
This component is meant for applications to be able to easily use clients
based on wlr-layer-shell

%package        devel
Summary:        Developer files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
%{summary}.


%prep
%autosetup -p1 -n layer-shell-qt-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*
%{_libdir}/libLayerShellQtInterface.so.*
%{_qt5_plugindir}/wayland-shell-integration/

%files devel
%{_includedir}/LayerShellQt/
%{_libdir}/libLayerShellQtInterface.so
%{_libdir}/cmake/LayerShellQt/


%changelog
%autochangelog
